Skip to main content
PUT
/
events
/
{request_id}
Update an event with a given request ID
curl --request PUT \
  --url https://api.fpjs.io/events/{request_id} \
  --header 'Auth-API-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "linkedId": "<string>",
  "tag": {},
  "suspect": true
}
'
Deprecation NoticeThis Server API (v3) was deprecated. If you still use this version, please follow our migration guide to migrate from this deprecated version to the new one. The one year deprecation period will start after the entire ecosystem supports Server API v4.
Change information in existing events specified by requestId or flag suspicious events. When an event is created, it is assigned linkedId and tag submitted through the JS agent parameters. This information might not be available on the client so the Server API allows for updating the attributes after the fact. Warning It’s not possible to update events older than 10 days.

Authorizations

Auth-API-Key
string
header
required

Path Parameters

request_id
string
required

The unique event identifier.

Body

application/json
linkedId
string

LinkedID value to assign to the existing event

tag
object

A customer-provided value or an object that was sent with identification request.

suspect
boolean

Suspect flag indicating observed suspicious or fraudulent event

Response

OK.